Bug 179752 - Request to update lpfc driver in RHEL 4 U4
Request to update lpfc driver in RHEL 4 U4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-02 12:41 EST by James Smart
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:01:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lpfcdfc driver (ver. 2.0.14) (393.75 KB, patch)
2006-04-21 09:45 EDT, Chip Coldwell
no flags Details | Diff
updates the lpfc driver in Red Hat's kernel tree from 8.0.16.18 to 8.0.16.26 (145.38 KB, patch)
2006-04-21 09:49 EDT, Chip Coldwell
no flags Details | Diff
version 8.0.16.27 of the driver (153.50 KB, patch)
2006-05-08 15:59 EDT, Chip Coldwell
no flags Details | Diff

  None (edit)
Description James Smart 2006-02-02 12:41:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
We would like to update the lpfc driver in RHEL 4 to revision 8.0.16.25.

Note: At present our driver is at 8.0.16.24. We have identified
several small bugs which will require a 8.0.16.25 rev. The code
freeze for the 8.0.16.25 rev is 2/8.

Below, I have attached the description of the changes between the
current 8.0.16.18 driver and the 8.0.16.24 driver. A full diff
can be provided.


----

diff -upNr lpfcdriver-2.6-8.0.16.18/ChangeLog lpfcdriver-2.6-8.0.16.24/ChangeLog
--- lpfcdriver-2.6-8.0.16.18/ChangeLog	2005-11-08 15:26:36.000000000 -0500
+++ lpfcdriver-2.6-8.0.16.24/ChangeLog	2006-01-26 14:17:58.000000000 -0500
@@ -1,3 +1,86 @@
+Changes from 20060111 to 20060126
+
+	* Changed version number to 8.0.16.24.
+	* Add the host_lock to the driver's proc fs entry point.(CR 18262)
+	* Fixed module parameter descriptions.(CR 18576)
+	* Added error messages in lpfc driver for ioremap function 
+	  failure.(CR 18626)
+	* Modify RSCN handling to unregister rpis on lost FCP_TARGETs 
+	  immediately.(CR 17618)
+
+Changes from 20051219 to 20060111
+
+	* Changed version number to 8.0.16.23.
+	* scsi_scan_host() is called before discovery is 
+	  completed. (CR 18480)
+	* Fixed system panic in lpfc_sli_brdreset during dynamic add of 
+	  LP11K. (CR 18570)
+	* Add module parameter to limit the number of outstanding commands 
+	  per lpfc HBA.(CR 18565)
+	* Fixed a double insertion of mail box object to the SLI mailbox 
+	  list. (CR 18569)
+	* Fix panic while downloading firmware on PPC. (CR 18501)
+	* Added RPS RPL and LIRR ELS support in driver and removed 
+	  RRQ ELS support in driver.
+
+Changes from 20051209 to 20051219
+
+	* Changed version number to 8.0.16.22_rc3.
+
+Changes from 20051201 to 20051209
+
+	* Changed version number to 8.0.16.22_rc2.
+	* Fixed a race condition in the PLOGI retry logic. (CR18233)
+	* Don't check for MBATT in lpfc_sli_issue_mbox when in warm start
+	  mode.
+	* Add support for MBX_KILL_BOARD and MBX_BEACON mailbox commands.
+	* Add support for diagnostic dump feature.
+	* Fix the SCSI errors reported by IBM during the 3 second cable
+	  pull test. (CR18009)
+	* Modify the receive data field size and buffer-to-buffer receive
+	  data field size service parameter handling from two 8-bit fields
+	  to a single 16-bit field. (CR17266)
+	* Add support for diagnostic loopback tests.
+	* Modify lpfc_abort_handler message 0749 to display more accurate
+	  text and data. (CR17265)
+	* Remove ProgType READ_REV mailbox command value check in
+	  lpfc_config_port_prep. (CR17493)
+	* Remove reference to scsi_cmnd from lpfc_scsi_cmd_iocb_cleanup().
+	  (CR17243)
+	* Use uint32_t for port_id to avoid truncation.  (CR17721)
+	* Call scsi_unblock_requests from lpfc_pci_remove_one if in
+	  offline state.
+	* Remove RPI hash from the driver. (CR17347,CR17596)
+	* Add polling and enable per HBA setting of the coalescing
+	  parameters. (CR17242)
+	* Fix failure to initialize adapter correctly. (CR17418)
+	* Remove all but one lpfc_sli_next_iotag() calls. (CR17194)
+	* Removed unused #ifdefs. (CR17286)
+	* Fix condition in lpfc_parse_vpd that would allow the parsing
+	  routine to continue parsing if the remaining data length was
+	  decremented below 0. (CR16309)
+	* Fix link speed reporting during various link down
+	  conditions. (CR15719)
+	* Eliminate race in discovery lists removal. (CR15921,CR16375)
+	* Unlock before calling del_timer_sync. (CR16332)
+	
+Changes from 20051121 to 20051201
+
+	* Changed version number to 8.0.16.21.
+	* Fixed SCSI errors during SCSI device/bus resets.
+
+Changes from 20051108 to 20051121
+
+	* Changed version number to 8.0.16.20.
+	* Modify lpfc_abort_handler wait loop time to wait less per loop
+	  and spin more often.
+
+Changes from 20051104 to 20051108
+
+	* Changed version number to 8.0.16.19.
+	* Added code to adjust lun queue depth to avoid target
+	  overloading.
+
 Changes from 20050727 to 20051104
 
 	* Changed version number to 8.0.16.18.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.n/a
2.
3.
  

Additional info:
Comment 2 Chip Coldwell 2006-04-21 09:45:36 EDT
Created attachment 128085 [details]
lpfcdfc driver (ver. 2.0.14)
Comment 3 Chip Coldwell 2006-04-21 09:49:20 EDT
Created attachment 128086 [details]
updates the lpfc driver in Red Hat's kernel tree from 8.0.16.18 to 8.0.16.26
Comment 4 Chip Coldwell 2006-04-21 10:09:48 EDT
Comment on attachment 128085 [details]
lpfcdfc driver (ver. 2.0.14)

see bug 181475
Comment 7 Jason Baron 2006-04-27 11:14:16 EDT
committed in stream U4 build 34.25. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 8 Chip Coldwell 2006-05-08 15:59:32 EDT
Created attachment 128764 [details]
version 8.0.16.27 of the driver
Comment 11 Red Hat Bugzilla 2006-08-10 18:01:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.